## ros-noetic-rosmon-msgs 2.4.0

=== CMakeLists.txt ===

cmake_minimum_required(VERSION 3.4)
project(rosmon_msgs)

find_package(catkin REQUIRED COMPONENTS
	message_generation
	std_msgs
)

add_message_files(FILES
	NodeState.msg
	State.msg
)

add_service_files(FILES
	StartStop.srv
)

generate_messages(DEPENDENCIES
	std_msgs
)

catkin_package()

=== debian/changelog ===
ros-noetic-rosmon-msgs (2.4.0-1buster) buster; urgency=high

  * Increase cmake minimum version to 3.4
  * Contributors: Max Schwarz

 -- Max Schwarz <max.schwarz@uni-bonn.de>  Sun, 01 Aug 2021 22:00:00 -0000

ros-noetic-rosmon-msgs (2.3.2-1buster) buster; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Thu, 28 May 2020 22:00:00 -0000

ros-noetic-rosmon-msgs (2.3.1-1buster) buster; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Wed, 27 May 2020 22:00:00 -0000

ros-noetic-rosmon-msgs (2.3.0-1buster) buster; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Wed, 27 May 2020 22:00:00 -0000

ros-noetic-rosmon-msgs (2.2.1-1buster) buster; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Thu, 07 Nov 2019 23:00:00 -0000

ros-noetic-rosmon-msgs (2.2.0-1buster) buster; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Mon, 28 Oct 2019 23:00:00 -0000

ros-noetic-rosmon-msgs (2.1.1-1buster) buster; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Mon, 08 Jul 2019 22:00:00 -0000

ros-noetic-rosmon-msgs (2.1.0-1buster) buster; urgency=high

  * Handle namespaces in service calls correctly, PR #80
  * Add namespaces to status topics, PR #78
  * Contributors: Artur Miller, David Walsh, Max Schwarz

 -- Max Schwarz <max.schwarz@uni-bonn.de>  Mon, 24 Jun 2019 22:00:00 -0000

ros-noetic-rosmon-msgs (2.0.2-1buster) buster; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Mon, 11 Mar 2019 23:00:00 -0000

ros-noetic-rosmon-msgs (2.0.1-1buster) buster; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Mon, 11 Mar 2019 23:00:00 -0000

ros-noetic-rosmon-msgs (2.0.0-1buster) buster; urgency=high

  * split into separate packages for core, GUI, messages, PR #72
  * Contributors: Max Schwarz

 -- Max Schwarz <max.schwarz@uni-bonn.de>  Sun, 10 Mar 2019 23:00:00 -0000

ros-noetic-rosmon-msgs (1.0.10-1buster) buster; urgency=high

  * main: exit gracefully on SIGTERM and SIGHUP as well (issue #59, PR #60)
  * launch: allow <arg default="XY"> in <include> tags (issue #57, PR #58)
    roslaunch allows this, so we should as well. Since it seems a bit
    confusing, we issue a warning when this happens.
    In these cases, <arg value="XY"> should be applicable and is much clearer.
  * Contributors: Max Schwarz

 -- Max Schwarz <max.schwarz@uni-bonn.de>  Sun, 28 Oct 2018 23:00:00 -0000

ros-noetic-rosmon-msgs (1.0.9-1buster) buster; urgency=high

  * Fix race condition in integration test (issue #42, PR #54)
  * Clean namespace names properly to fix double slashes (issue #49, PR #53)
  * Respect ROS_NAMESPACE for nested launches (issue #46, PR #51)
  * gui: Sort Memory column correctly (issue #48, PR #50)
  * Try to find an executable *file* for nodes (issue #45, PR #47)
  * Add --stop-timeout option and launch file attribute (PR #37)
  * Handle params with leading slashes inside nodes (PR #40)
  * Add --no-start option (PR #39)
  * gui: Fix index bug in showContextMenu (PR #38)
  * Contributors: Max Schwarz, Nikos Skalkotos, Romain Reignier

 -- Max Schwarz <max.schwarz@uni-bonn.de>  Wed, 19 Sep 2018 22:00:00 -0000

ros-noetic-rosmon-msgs (1.0.8-1buster) buster; urgency=high

  * main: Add option for flushing the logfile
    Add --flush option that will flush the logfile after each entry.
  * Merge pull request #35 <https://github.com/xqms/rosmon/issues/35>
    More complete support for rosparam features
  * Merge pull request #34 <https://github.com/xqms/rosmon/issues/34>
    YAML quoted strings
  * launch: rosparam: support binary data
  * launch: rosparam: correctly handle explicit YAML type tags
  * launch: support rosparam angle computations
  * launch: always map YAML quoted values to string params
    These always get mapped to str by python's yaml.load, which is used by
    roslaunch, so we do the same here.
  * Contributors: Max Schwarz, Nikos Skalkotos

 -- Max Schwarz <max.schwarz@uni-bonn.de>  Mon, 06 Aug 2018 22:00:00 -0000

ros-noetic-rosmon-msgs (1.0.7-1buster) buster; urgency=high

  * Support Python 3 & select appropriate Python version.
    This fixes a mismatch on Debian Jessie, where rospack is linked against
    Python 2.7 and we would link against Python 3.4.
  * launch: substitution_python: support Python 3
  * Contributors: Max Schwarz

 -- Max Schwarz <max.schwarz@uni-bonn.de>  Sat, 26 May 2018 22:00:00 -0000

ros-noetic-rosmon-msgs (1.0.6-1buster) buster; urgency=high

  * test/xml: replace more multiline string Catch captures
    Sorry, somehow these slipped through - and I didn't have a good way of
    testing these locally without the buildfarm. I'm testing with gcc 4.8
    on trusty now, which seems to have matching behavior.
  * Contributors: Max Schwarz

 -- Max Schwarz <max.schwarz@uni-bonn.de>  Fri, 25 May 2018 22:00:00 -0000

ros-noetic-rosmon-msgs (1.0.5-1buster) buster; urgency=high

  * test/xml: avoid multiline Catch captures in exception tests
    These trigger some weird bug between g++ 5.4 and ccache, which is used
    in the ROS buildfarm. [...]
    This should fix compilation on the build farm.
  * Contributors: Max Schwarz

 -- Max Schwarz <max.schwarz@uni-bonn.de>  Thu, 24 May 2018 22:00:00 -0000

ros-noetic-rosmon-msgs (1.0.4-1buster) buster; urgency=high

  * Merge pull request #30 <https://github.com/xqms/rosmon/issues/30> from xqms/feature/global_remap
    Support <remap> in other scopes than <node>. Fixes #28 <https://github.com/xqms/rosmon/issues/28>.
  * Merge pull request #29 <https://github.com/xqms/rosmon/issues/29> from xqms/feature/fmt
    Port all string formatting to fmt
  * update README.md, refer to ROS wiki
    Otherwise we duplicate the information.
  * launch: keep pointer to current element in ParseContext
    This is in preparation for a refactoring of the error handling code. This
    way, we don't have to explicitly pass line number information around - we
    can instead pull it from the ParseContext when the error is generated.


=== debian/control ===
Source: ros-noetic-rosmon-msgs
Section: misc
Priority: optional
Maintainer: Max Schwarz <max.schwarz@uni-bonn.de>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-message-generation, ros-noetic-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-rosmon-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-message-generation, ros-noetic-std-msgs
Description: Messages for rosmon, the node launcher and monitor for ROS.
 rosmon is a replacement for the roslaunch tool, focused on performance, remote monitoring, and usability.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-rosmon-msgs//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-rosmon-msgs 2.5.0

=== debian/changelog ===
ros-noetic-rosmon-msgs (2.5.0-2focal) focal; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Sun, 09 Jul 2023 22:00:00 -0000

ros-noetic-rosmon-msgs (2.4.0-2focal) focal; urgency=high

  * Increase cmake minimum version to 3.4
  * Contributors: Max Schwarz

 -- Max Schwarz <max.schwarz@uni-bonn.de>  Sun, 01 Aug 2021 22:00:00 -0000

ros-noetic-rosmon-msgs (2.3.2-2focal) focal; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Thu, 28 May 2020 22:00:00 -0000

ros-noetic-rosmon-msgs (2.3.1-2focal) focal; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Wed, 27 May 2020 22:00:00 -0000

ros-noetic-rosmon-msgs (2.3.0-2focal) focal; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Wed, 27 May 2020 22:00:00 -0000

ros-noetic-rosmon-msgs (2.2.1-2focal) focal; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Thu, 07 Nov 2019 23:00:00 -0000

ros-noetic-rosmon-msgs (2.2.0-2focal) focal; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Mon, 28 Oct 2019 23:00:00 -0000

ros-noetic-rosmon-msgs (2.1.1-2focal) focal; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Mon, 08 Jul 2019 22:00:00 -0000

ros-noetic-rosmon-msgs (2.1.0-2focal) focal; urgency=high

  * Handle namespaces in service calls correctly, PR #80
  * Add namespaces to status topics, PR #78
  * Contributors: Artur Miller, David Walsh, Max Schwarz

 -- Max Schwarz <max.schwarz@uni-bonn.de>  Mon, 24 Jun 2019 22:00:00 -0000

ros-noetic-rosmon-msgs (2.0.2-2focal) focal; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Mon, 11 Mar 2019 23:00:00 -0000

ros-noetic-rosmon-msgs (2.0.1-2focal) focal; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Mon, 11 Mar 2019 23:00:00 -0000

ros-noetic-rosmon-msgs (2.0.0-2focal) focal; urgency=high

  * split into separate packages for core, GUI, messages, PR #72
  * Contributors: Max Schwarz

 -- Max Schwarz <max.schwarz@uni-bonn.de>  Sun, 10 Mar 2019 23:00:00 -0000

ros-noetic-rosmon-msgs (1.0.10-2focal) focal; urgency=high

  * main: exit gracefully on SIGTERM and SIGHUP as well (issue #59, PR #60)
  * launch: allow <arg default="XY"> in <include> tags (issue #57, PR #58)
    roslaunch allows this, so we should as well. Since it seems a bit
    confusing, we issue a warning when this happens.
    In these cases, <arg value="XY"> should be applicable and is much clearer.
  * Contributors: Max Schwarz

 -- Max Schwarz <max.schwarz@uni-bonn.de>  Sun, 28 Oct 2018 23:00:00 -0000

ros-noetic-rosmon-msgs (1.0.9-2focal) focal; urgency=high

  * Fix race condition in integration test (issue #42, PR #54)
  * Clean namespace names properly to fix double slashes (issue #49, PR #53)
  * Respect ROS_NAMESPACE for nested launches (issue #46, PR #51)
  * gui: Sort Memory column correctly (issue #48, PR #50)
  * Try to find an executable *file* for nodes (issue #45, PR #47)
  * Add --stop-timeout option and launch file attribute (PR #37)
  * Handle params with leading slashes inside nodes (PR #40)
  * Add --no-start option (PR #39)
  * gui: Fix index bug in showContextMenu (PR #38)
  * Contributors: Max Schwarz, Nikos Skalkotos, Romain Reignier

 -- Max Schwarz <max.schwarz@uni-bonn.de>  Wed, 19 Sep 2018 22:00:00 -0000

ros-noetic-rosmon-msgs (1.0.8-2focal) focal; urgency=high

  * main: Add option for flushing the logfile
    Add --flush option that will flush the logfile after each entry.
  * Merge pull request #35 <https://github.com/xqms/rosmon/issues/35>
    More complete support for rosparam features
  * Merge pull request #34 <https://github.com/xqms/rosmon/issues/34>
    YAML quoted strings
  * launch: rosparam: support binary data
  * launch: rosparam: correctly handle explicit YAML type tags
  * launch: support rosparam angle computations
  * launch: always map YAML quoted values to string params
    These always get mapped to str by python's yaml.load, which is used by
    roslaunch, so we do the same here.
  * Contributors: Max Schwarz, Nikos Skalkotos

 -- Max Schwarz <max.schwarz@uni-bonn.de>  Mon, 06 Aug 2018 22:00:00 -0000

ros-noetic-rosmon-msgs (1.0.7-2focal) focal; urgency=high

  * Support Python 3 & select appropriate Python version.
    This fixes a mismatch on Debian Jessie, where rospack is linked against
    Python 2.7 and we would link against Python 3.4.
  * launch: substitution_python: support Python 3
  * Contributors: Max Schwarz

 -- Max Schwarz <max.schwarz@uni-bonn.de>  Sat, 26 May 2018 22:00:00 -0000

ros-noetic-rosmon-msgs (1.0.6-2focal) focal; urgency=high

  * test/xml: replace more multiline string Catch captures
    Sorry, somehow these slipped through - and I didn't have a good way of
    testing these locally without the buildfarm. I'm testing with gcc 4.8
    on trusty now, which seems to have matching behavior.
  * Contributors: Max Schwarz

 -- Max Schwarz <max.schwarz@uni-bonn.de>  Fri, 25 May 2018 22:00:00 -0000

ros-noetic-rosmon-msgs (1.0.5-2focal) focal; urgency=high

  * test/xml: avoid multiline Catch captures in exception tests
    These trigger some weird bug between g++ 5.4 and ccache, which is used
    in the ROS buildfarm. [...]
    This should fix compilation on the build farm.
  * Contributors: Max Schwarz

 -- Max Schwarz <max.schwarz@uni-bonn.de>  Thu, 24 May 2018 22:00:00 -0000

ros-noetic-rosmon-msgs (1.0.4-2focal) focal; urgency=high

  * Merge pull request #30 <https://github.com/xqms/rosmon/issues/30> from xqms/feature/global_remap
    Support <remap> in other scopes than <node>. Fixes #28 <https://github.com/xqms/rosmon/issues/28>.
  * Merge pull request #29 <https://github.com/xqms/rosmon/issues/29> from xqms/feature/fmt
    Port all string formatting to fmt
  * update README.md, refer to ROS wiki
    Otherwise we duplicate the information.
  * launch: keep pointer to current element in ParseContext
    This is in preparation for a refactoring of the error handling code. This
    way, we don't have to explicitly pass line number information around - we


=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
